# Uses of Interface
org.eclipse.jdt.core.IModuleDescription

Packages that use IModuleDescription
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.core.provisional
org.eclipse.jdt.ui.refactoring
Application programming interfaces for rename refactorings.

## Uses of IModuleDescription in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IModuleDescription
Modifier and Type
Method
Description
`IModuleDescription`
IJavaProject.`findModule(String moduleName, WorkingCopyOwner owner)`
Finds the first module with the given name found following this project's module path.
`static IModuleDescription`
JavaCore.`getAutomaticModuleDescription(IJavaElement element)`
Returns the `IModuleDescription` that the given java element contains when regarded as an automatic module.
`IModuleDescription`
IModularClassFile.`getModule()`
Returns the module description contained in this type root.
`default IModuleDescription`
ITypeRoot.`getModule()`
Returns the module description contained in this type root or null if there is no module in this type root.
`IModuleDescription`
IJavaProject.`getModuleDescription()`
Returns the `IModuleDescription` this project represents or null if the Java project doesn't represent any named module.
`IModuleDescription`
IPackageFragmentRoot.`getModuleDescription()`
Returns the `IModuleDescription` that this package fragment root contains.
`IModuleDescription`
IJavaProject.`getOwnModuleDescription()`
Returns the `IModuleDescription` owned by this project or null if the Java project doesn't own a valid Java module descriptor.
Methods in org.eclipse.jdt.core with parameters of type IModuleDescription
Modifier and Type
Method
Description
`static byte[]`
JavaCore.`compileWithAttributes(IModuleDescription module, Map<String,String> classFileAttributes)`
Compile the given module description in the context of its enclosing Java project and add class file attributes using the given map of attribute values.
`String[]`
IModuleDescription.`getExportedPackageNames(IModuleDescription targetModule)`
Get names of exported packages.
`String[]`
IModuleDescription.`getOpenedPackageNames(IModuleDescription targetModule)`
Get names of opened packages.

## Uses of IModuleDescription in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type IModuleDescription
Modifier and Type
Method
Description
`static String`
CodeGeneration.`getModuleComment(ICompilationUnit cu, IModuleDescription desc, String lineDelimiter)`
Returns the comment for a module based on code templates

## Uses of IModuleDescription in org.eclipse.jdt.core.provisional

Methods in org.eclipse.jdt.core.provisional that return IModuleDescription
Modifier and Type
Method
Description
`static IModuleDescription`
JavaModelAccess.`getAutomaticModuleDescription(IJavaElement element)`
Returns the `IModuleDescription` that the given java element contains when regarded as an automatic module.
Methods in org.eclipse.jdt.core.provisional with parameters of type IModuleDescription
Modifier and Type
Method
Description
`static String[]`
JavaModelAccess.`getRequiredModules(IModuleDescription module)`
Deprecated.
this provisional API has been promoted to `getRequiredModuleNames()`
`static boolean`
JavaModelAccess.`isSystemModule(IModuleDescription module)`
Deprecated.
please use `isSystemModule()`

## Uses of IModuleDescription in org.eclipse.jdt.ui.refactoring

Methods in org.eclipse.jdt.ui.refactoring with parameters of type IModuleDescription
Modifier and Type
Method
Description
`static RenameSupport`
RenameSupport.`create(IModuleDescription module, String newName, int flags)`
Creates a new rename support for the given `IModuleDescription`.